<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for listeEtapesItem StructType
 * @subpackage Structs
 */
class ListeEtapesItem extends AbstractStructBase
{
    /**
     * The user_siret
     * @var string
     */
    public $user_siret;
    /**
     * The user_login
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $user_login;
    /**
     * The obligatoire
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $obligatoire;
    /**
     * The action
     * @var string
     */
    public $action;
    /**
     * The contexte
     * @var string
     */
    public $contexte;
    /**
     * The norejet
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $norejet;
    /**
     * The ordre
     * @var int
     */
    public $ordre;
    /**
     * Constructor method for listeEtapesItem
     * @uses ListeEtapesItem::setUser_siret()
     * @uses ListeEtapesItem::setUser_login()
     * @uses ListeEtapesItem::setObligatoire()
     * @uses ListeEtapesItem::setAction()
     * @uses ListeEtapesItem::setContexte()
     * @uses ListeEtapesItem::setNorejet()
     * @uses ListeEtapesItem::setOrdre()
     * @param string $user_siret
     * @param string $user_login
     * @param string $obligatoire
     * @param string $action
     * @param string $contexte
     * @param string $norejet
     * @param int $ordre
     */
    public function __construct($user_siret = null, $user_login = null, $obligatoire = null, $action = null, $contexte = null, $norejet = null, $ordre = null)
    {
        $this
            ->setUser_siret($user_siret)
            ->setUser_login($user_login)
            ->setObligatoire($obligatoire)
            ->setAction($action)
            ->setContexte($contexte)
            ->setNorejet($norejet)
            ->setOrdre($ordre);
    }
    /**
     * Get user_siret value
     * @return string|null
     */
    public function getUser_siret()
    {
        return $this->user_siret;
    }
    /**
     * Set user_siret value
     * @param string $user_siret
     * @return \StructType\ListeEtapesItem
     */
    public function setUser_siret($user_siret = null)
    {
        // validation for constraint: string
        if (!is_null($user_siret) && !is_string($user_siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($user_siret, true), gettype($user_siret)), __LINE__);
        }
        $this->user_siret = $user_siret;
        return $this;
    }
    /**
     * Get user_login value
     * @return string|null
     */
    public function getUser_login()
    {
        return $this->user_login;
    }
    /**
     * Set user_login value
     * @param string $user_login
     * @return \StructType\ListeEtapesItem
     */
    public function setUser_login($user_login = null)
    {
        // validation for constraint: string
        if (!is_null($user_login) && !is_string($user_login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($user_login, true), gettype($user_login)), __LINE__);
        }
        $this->user_login = $user_login;
        return $this;
    }
    /**
     * Get obligatoire value
     * @return string|null
     */
    public function getObligatoire()
    {
        return $this->obligatoire;
    }
    /**
     * Set obligatoire value
     * @param string $obligatoire
     * @return \StructType\ListeEtapesItem
     */
    public function setObligatoire($obligatoire = null)
    {
        // validation for constraint: string
        if (!is_null($obligatoire) && !is_string($obligatoire)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($obligatoire, true), gettype($obligatoire)), __LINE__);
        }
        $this->obligatoire = $obligatoire;
        return $this;
    }
    /**
     * Get action value
     * @return string|null
     */
    public function getAction()
    {
        return $this->action;
    }
    /**
     * Set action value
     * @param string $action
     * @return \StructType\ListeEtapesItem
     */
    public function setAction($action = null)
    {
        // validation for constraint: string
        if (!is_null($action) && !is_string($action)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($action, true), gettype($action)), __LINE__);
        }
        $this->action = $action;
        return $this;
    }
    /**
     * Get contexte value
     * @return string|null
     */
    public function getContexte()
    {
        return $this->contexte;
    }
    /**
     * Set contexte value
     * @param string $contexte
     * @return \StructType\ListeEtapesItem
     */
    public function setContexte($contexte = null)
    {
        // validation for constraint: string
        if (!is_null($contexte) && !is_string($contexte)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($contexte, true), gettype($contexte)), __LINE__);
        }
        $this->contexte = $contexte;
        return $this;
    }
    /**
     * Get norejet value
     * @return string|null
     */
    public function getNorejet()
    {
        return $this->norejet;
    }
    /**
     * Set norejet value
     * @param string $norejet
     * @return \StructType\ListeEtapesItem
     */
    public function setNorejet($norejet = null)
    {
        // validation for constraint: string
        if (!is_null($norejet) && !is_string($norejet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($norejet, true), gettype($norejet)), __LINE__);
        }
        $this->norejet = $norejet;
        return $this;
    }
    /**
     * Get ordre value
     * @return int|null
     */
    public function getOrdre()
    {
        return $this->ordre;
    }
    /**
     * Set ordre value
     * @param int $ordre
     * @return \StructType\ListeEtapesItem
     */
    public function setOrdre($ordre = null)
    {
        // validation for constraint: int
        if (!is_null($ordre) && !(is_int($ordre) || ctype_digit($ordre))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ordre, true), gettype($ordre)), __LINE__);
        }
        $this->ordre = $ordre;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ListeEtapesItem
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
