<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_CompleteEtapes_Param StructType
 * @subpackage Structs
 */
class XPRF_CompleteEtapes_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The logingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $logingen;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The docutype
     * @var string
     */
    public $docutype;
    /**
     * The docustype
     * @var string
     */
    public $docustype;
    /**
     * The getNomPrenom
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $getNomPrenom;
    /**
     * The etapes
     * Meta information extracted from the WSDL
     * - arrayType: tns:listeEtapesItem[]
     * - base: SOAP-ENC:Array
     * - ref: SOAP-ENC:arrayType
     * @var \StructType\ListeEtapesItem[]
     */
    public $etapes;
    /**
     * Constructor method for XPRF_CompleteEtapes_Param
     * @uses XPRF_CompleteEtapes_Param::setSiret()
     * @uses XPRF_CompleteEtapes_Param::setLogin()
     * @uses XPRF_CompleteEtapes_Param::setLogingen()
     * @uses XPRF_CompleteEtapes_Param::setPassword()
     * @uses XPRF_CompleteEtapes_Param::setDocutype()
     * @uses XPRF_CompleteEtapes_Param::setDocustype()
     * @uses XPRF_CompleteEtapes_Param::setGetNomPrenom()
     * @uses XPRF_CompleteEtapes_Param::setEtapes()
     * @param string $siret
     * @param string $login
     * @param string $logingen
     * @param string $password
     * @param string $docutype
     * @param string $docustype
     * @param string $getNomPrenom
     * @param \StructType\ListeEtapesItem[] $etapes
     */
    public function __construct($siret = null, $login = null, $logingen = null, $password = null, $docutype = null, $docustype = null, $getNomPrenom = null, array $etapes = array())
    {
        $this
            ->setSiret($siret)
            ->setLogin($login)
            ->setLogingen($logingen)
            ->setPassword($password)
            ->setDocutype($docutype)
            ->setDocustype($docustype)
            ->setGetNomPrenom($getNomPrenom)
            ->setEtapes($etapes);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get logingen value
     * @return string|null
     */
    public function getLogingen()
    {
        return $this->logingen;
    }
    /**
     * Set logingen value
     * @param string $logingen
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setLogingen($logingen = null)
    {
        // validation for constraint: string
        if (!is_null($logingen) && !is_string($logingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logingen, true), gettype($logingen)), __LINE__);
        }
        $this->logingen = $logingen;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get docutype value
     * @return string|null
     */
    public function getDocutype()
    {
        return $this->docutype;
    }
    /**
     * Set docutype value
     * @param string $docutype
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setDocutype($docutype = null)
    {
        // validation for constraint: string
        if (!is_null($docutype) && !is_string($docutype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($docutype, true), gettype($docutype)), __LINE__);
        }
        $this->docutype = $docutype;
        return $this;
    }
    /**
     * Get docustype value
     * @return string|null
     */
    public function getDocustype()
    {
        return $this->docustype;
    }
    /**
     * Set docustype value
     * @param string $docustype
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setDocustype($docustype = null)
    {
        // validation for constraint: string
        if (!is_null($docustype) && !is_string($docustype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($docustype, true), gettype($docustype)), __LINE__);
        }
        $this->docustype = $docustype;
        return $this;
    }
    /**
     * Get getNomPrenom value
     * @return string|null
     */
    public function getGetNomPrenom()
    {
        return $this->getNomPrenom;
    }
    /**
     * Set getNomPrenom value
     * @param string $getNomPrenom
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setGetNomPrenom($getNomPrenom = null)
    {
        // validation for constraint: string
        if (!is_null($getNomPrenom) && !is_string($getNomPrenom)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($getNomPrenom, true), gettype($getNomPrenom)), __LINE__);
        }
        $this->getNomPrenom = $getNomPrenom;
        return $this;
    }
    /**
     * Get etapes value
     * @return \StructType\ListeEtapesItem[]|null
     */
    public function getEtapes()
    {
        return $this->etapes;
    }
    /**
     * This method is responsible for validating the values passed to the setEtapes method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEtapes method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEtapesForArrayConstraintsFromSetEtapes(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $xPRF_CompleteEtapes_ParamEtapesItem) {
            // validation for constraint: itemType
            if (!$xPRF_CompleteEtapes_ParamEtapesItem instanceof \StructType\ListeEtapesItem) {
                $invalidValues[] = is_object($xPRF_CompleteEtapes_ParamEtapesItem) ? get_class($xPRF_CompleteEtapes_ParamEtapesItem) : sprintf('%s(%s)', gettype($xPRF_CompleteEtapes_ParamEtapesItem), var_export($xPRF_CompleteEtapes_ParamEtapesItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The etapes property can only contain items of type \StructType\ListeEtapesItem, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set etapes value
     * @throws \InvalidArgumentException
     * @param \StructType\ListeEtapesItem[] $etapes
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function setEtapes(array $etapes = array())
    {
        // validation for constraint: array
        if ('' !== ($etapesArrayErrorMessage = self::validateEtapesForArrayConstraintsFromSetEtapes($etapes))) {
            throw new \InvalidArgumentException($etapesArrayErrorMessage, __LINE__);
        }
        $this->etapes = $etapes;
        return $this;
    }
    /**
     * Add item to etapes value
     * @throws \InvalidArgumentException
     * @param \StructType\ListeEtapesItem $item
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public function addToEtapes(\StructType\ListeEtapesItem $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ListeEtapesItem) {
            throw new \InvalidArgumentException(sprintf('The etapes property can only contain items of type \StructType\ListeEtapesItem, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->etapes[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_CompleteEtapes_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
