<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_EnvoiConf_Param StructType
 * @subpackage Structs
 */
class XPRF_EnvoiConf_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The logingen
     * @var string
     */
    public $logingen;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The fichier
     * @var string
     */
    public $fichier;
    /**
     * The conf
     * @var string
     */
    public $conf;
    /**
     * Constructor method for XPRF_EnvoiConf_Param
     * @uses XPRF_EnvoiConf_Param::setSiret()
     * @uses XPRF_EnvoiConf_Param::setLogingen()
     * @uses XPRF_EnvoiConf_Param::setPassword()
     * @uses XPRF_EnvoiConf_Param::setFichier()
     * @uses XPRF_EnvoiConf_Param::setConf()
     * @param string $siret
     * @param string $logingen
     * @param string $password
     * @param string $fichier
     * @param string $conf
     */
    public function __construct($siret = null, $logingen = null, $password = null, $fichier = null, $conf = null)
    {
        $this
            ->setSiret($siret)
            ->setLogingen($logingen)
            ->setPassword($password)
            ->setFichier($fichier)
            ->setConf($conf);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_EnvoiConf_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get logingen value
     * @return string|null
     */
    public function getLogingen()
    {
        return $this->logingen;
    }
    /**
     * Set logingen value
     * @param string $logingen
     * @return \StructType\XPRF_EnvoiConf_Param
     */
    public function setLogingen($logingen = null)
    {
        // validation for constraint: string
        if (!is_null($logingen) && !is_string($logingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logingen, true), gettype($logingen)), __LINE__);
        }
        $this->logingen = $logingen;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_EnvoiConf_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get fichier value
     * @return string|null
     */
    public function getFichier()
    {
        return $this->fichier;
    }
    /**
     * Set fichier value
     * @param string $fichier
     * @return \StructType\XPRF_EnvoiConf_Param
     */
    public function setFichier($fichier = null)
    {
        // validation for constraint: string
        if (!is_null($fichier) && !is_string($fichier)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fichier, true), gettype($fichier)), __LINE__);
        }
        $this->fichier = $fichier;
        return $this;
    }
    /**
     * Get conf value
     * @return string|null
     */
    public function getConf()
    {
        return $this->conf;
    }
    /**
     * Set conf value
     * @param string $conf
     * @return \StructType\XPRF_EnvoiConf_Param
     */
    public function setConf($conf = null)
    {
        // validation for constraint: string
        if (!is_null($conf) && !is_string($conf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($conf, true), gettype($conf)), __LINE__);
        }
        $this->conf = $conf;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_EnvoiConf_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
