<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_GetListFavoris_Param StructType
 * @subpackage Structs
 */
class XPRF_GetListFavoris_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The logingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $logingen;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The docutype
     * @var string
     */
    public $docutype;
    /**
     * The docustype
     * @var string
     */
    public $docustype;
    /**
     * Constructor method for XPRF_GetListFavoris_Param
     * @uses XPRF_GetListFavoris_Param::setSiret()
     * @uses XPRF_GetListFavoris_Param::setLogin()
     * @uses XPRF_GetListFavoris_Param::setLogingen()
     * @uses XPRF_GetListFavoris_Param::setPassword()
     * @uses XPRF_GetListFavoris_Param::setDocutype()
     * @uses XPRF_GetListFavoris_Param::setDocustype()
     * @param string $siret
     * @param string $login
     * @param string $logingen
     * @param string $password
     * @param string $docutype
     * @param string $docustype
     */
    public function __construct($siret = null, $login = null, $logingen = null, $password = null, $docutype = null, $docustype = null)
    {
        $this
            ->setSiret($siret)
            ->setLogin($login)
            ->setLogingen($logingen)
            ->setPassword($password)
            ->setDocutype($docutype)
            ->setDocustype($docustype);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_GetListFavoris_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_GetListFavoris_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get logingen value
     * @return string|null
     */
    public function getLogingen()
    {
        return $this->logingen;
    }
    /**
     * Set logingen value
     * @param string $logingen
     * @return \StructType\XPRF_GetListFavoris_Param
     */
    public function setLogingen($logingen = null)
    {
        // validation for constraint: string
        if (!is_null($logingen) && !is_string($logingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logingen, true), gettype($logingen)), __LINE__);
        }
        $this->logingen = $logingen;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_GetListFavoris_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get docutype value
     * @return string|null
     */
    public function getDocutype()
    {
        return $this->docutype;
    }
    /**
     * Set docutype value
     * @param string $docutype
     * @return \StructType\XPRF_GetListFavoris_Param
     */
    public function setDocutype($docutype = null)
    {
        // validation for constraint: string
        if (!is_null($docutype) && !is_string($docutype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($docutype, true), gettype($docutype)), __LINE__);
        }
        $this->docutype = $docutype;
        return $this;
    }
    /**
     * Get docustype value
     * @return string|null
     */
    public function getDocustype()
    {
        return $this->docustype;
    }
    /**
     * Set docustype value
     * @param string $docustype
     * @return \StructType\XPRF_GetListFavoris_Param
     */
    public function setDocustype($docustype = null)
    {
        // validation for constraint: string
        if (!is_null($docustype) && !is_string($docustype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($docustype, true), gettype($docustype)), __LINE__);
        }
        $this->docustype = $docustype;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_GetListFavoris_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
