<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_Hierarchie_Param StructType
 * @subpackage Structs
 */
class XPRF_Hierarchie_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The logingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $logingen;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The typeDoc
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $typeDoc;
    /**
     * The typeAction
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $typeAction;
    /**
     * The checkDLP
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $checkDLP;
    /**
     * Constructor method for XPRF_Hierarchie_Param
     * @uses XPRF_Hierarchie_Param::setSiret()
     * @uses XPRF_Hierarchie_Param::setLogin()
     * @uses XPRF_Hierarchie_Param::setLogingen()
     * @uses XPRF_Hierarchie_Param::setPassword()
     * @uses XPRF_Hierarchie_Param::setTypeDoc()
     * @uses XPRF_Hierarchie_Param::setTypeAction()
     * @uses XPRF_Hierarchie_Param::setCheckDLP()
     * @param string $siret
     * @param string $login
     * @param string $logingen
     * @param string $password
     * @param string $typeDoc
     * @param string $typeAction
     * @param string $checkDLP
     */
    public function __construct($siret = null, $login = null, $logingen = null, $password = null, $typeDoc = null, $typeAction = null, $checkDLP = null)
    {
        $this
            ->setSiret($siret)
            ->setLogin($login)
            ->setLogingen($logingen)
            ->setPassword($password)
            ->setTypeDoc($typeDoc)
            ->setTypeAction($typeAction)
            ->setCheckDLP($checkDLP);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get logingen value
     * @return string|null
     */
    public function getLogingen()
    {
        return $this->logingen;
    }
    /**
     * Set logingen value
     * @param string $logingen
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public function setLogingen($logingen = null)
    {
        // validation for constraint: string
        if (!is_null($logingen) && !is_string($logingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logingen, true), gettype($logingen)), __LINE__);
        }
        $this->logingen = $logingen;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get typeDoc value
     * @return string|null
     */
    public function getTypeDoc()
    {
        return $this->typeDoc;
    }
    /**
     * Set typeDoc value
     * @param string $typeDoc
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public function setTypeDoc($typeDoc = null)
    {
        // validation for constraint: string
        if (!is_null($typeDoc) && !is_string($typeDoc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($typeDoc, true), gettype($typeDoc)), __LINE__);
        }
        $this->typeDoc = $typeDoc;
        return $this;
    }
    /**
     * Get typeAction value
     * @return string|null
     */
    public function getTypeAction()
    {
        return $this->typeAction;
    }
    /**
     * Set typeAction value
     * @param string $typeAction
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public function setTypeAction($typeAction = null)
    {
        // validation for constraint: string
        if (!is_null($typeAction) && !is_string($typeAction)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($typeAction, true), gettype($typeAction)), __LINE__);
        }
        $this->typeAction = $typeAction;
        return $this;
    }
    /**
     * Get checkDLP value
     * @return string|null
     */
    public function getCheckDLP()
    {
        return $this->checkDLP;
    }
    /**
     * Set checkDLP value
     * @param string $checkDLP
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public function setCheckDLP($checkDLP = null)
    {
        // validation for constraint: string
        if (!is_null($checkDLP) && !is_string($checkDLP)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($checkDLP, true), gettype($checkDLP)), __LINE__);
        }
        $this->checkDLP = $checkDLP;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_Hierarchie_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
