<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_Initialisation_Deposer_Param StructType
 * @subpackage Structs
 */
class XPRF_Initialisation_Deposer_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The logingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $logingen;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The action
     * @var string
     */
    public $action;
    /**
     * The scenario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $scenario;
    /**
     * The context
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $context;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The debutnom
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $debutnom;
    /**
     * The alert
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $alert;
    /**
     * The reponse
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $reponse;
    /**
     * The preDepot
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $preDepot;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $version;
    /**
     * Constructor method for XPRF_Initialisation_Deposer_Param
     * @uses XPRF_Initialisation_Deposer_Param::setSiret()
     * @uses XPRF_Initialisation_Deposer_Param::setLogin()
     * @uses XPRF_Initialisation_Deposer_Param::setLogingen()
     * @uses XPRF_Initialisation_Deposer_Param::setPassword()
     * @uses XPRF_Initialisation_Deposer_Param::setAction()
     * @uses XPRF_Initialisation_Deposer_Param::setScenario()
     * @uses XPRF_Initialisation_Deposer_Param::setContext()
     * @uses XPRF_Initialisation_Deposer_Param::setType()
     * @uses XPRF_Initialisation_Deposer_Param::setDebutnom()
     * @uses XPRF_Initialisation_Deposer_Param::setAlert()
     * @uses XPRF_Initialisation_Deposer_Param::setReponse()
     * @uses XPRF_Initialisation_Deposer_Param::setPreDepot()
     * @uses XPRF_Initialisation_Deposer_Param::setVersion()
     * @param string $siret
     * @param string $login
     * @param string $logingen
     * @param string $password
     * @param string $action
     * @param string $scenario
     * @param string $context
     * @param string $type
     * @param string $debutnom
     * @param string $alert
     * @param string $reponse
     * @param string $preDepot
     * @param string $version
     */
    public function __construct($siret = null, $login = null, $logingen = null, $password = null, $action = null, $scenario = null, $context = null, $type = null, $debutnom = null, $alert = null, $reponse = null, $preDepot = null, $version = null)
    {
        $this
            ->setSiret($siret)
            ->setLogin($login)
            ->setLogingen($logingen)
            ->setPassword($password)
            ->setAction($action)
            ->setScenario($scenario)
            ->setContext($context)
            ->setType($type)
            ->setDebutnom($debutnom)
            ->setAlert($alert)
            ->setReponse($reponse)
            ->setPreDepot($preDepot)
            ->setVersion($version);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get logingen value
     * @return string|null
     */
    public function getLogingen()
    {
        return $this->logingen;
    }
    /**
     * Set logingen value
     * @param string $logingen
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setLogingen($logingen = null)
    {
        // validation for constraint: string
        if (!is_null($logingen) && !is_string($logingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logingen, true), gettype($logingen)), __LINE__);
        }
        $this->logingen = $logingen;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get action value
     * @return string|null
     */
    public function getAction()
    {
        return $this->action;
    }
    /**
     * Set action value
     * @param string $action
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setAction($action = null)
    {
        // validation for constraint: string
        if (!is_null($action) && !is_string($action)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($action, true), gettype($action)), __LINE__);
        }
        $this->action = $action;
        return $this;
    }
    /**
     * Get scenario value
     * @return string|null
     */
    public function getScenario()
    {
        return $this->scenario;
    }
    /**
     * Set scenario value
     * @param string $scenario
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setScenario($scenario = null)
    {
        // validation for constraint: string
        if (!is_null($scenario) && !is_string($scenario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($scenario, true), gettype($scenario)), __LINE__);
        }
        $this->scenario = $scenario;
        return $this;
    }
    /**
     * Get context value
     * @return string|null
     */
    public function getContext()
    {
        return $this->context;
    }
    /**
     * Set context value
     * @param string $context
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setContext($context = null)
    {
        // validation for constraint: string
        if (!is_null($context) && !is_string($context)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($context, true), gettype($context)), __LINE__);
        }
        $this->context = $context;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get debutnom value
     * @return string|null
     */
    public function getDebutnom()
    {
        return $this->debutnom;
    }
    /**
     * Set debutnom value
     * @param string $debutnom
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setDebutnom($debutnom = null)
    {
        // validation for constraint: string
        if (!is_null($debutnom) && !is_string($debutnom)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($debutnom, true), gettype($debutnom)), __LINE__);
        }
        $this->debutnom = $debutnom;
        return $this;
    }
    /**
     * Get alert value
     * @return string|null
     */
    public function getAlert()
    {
        return $this->alert;
    }
    /**
     * Set alert value
     * @param string $alert
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setAlert($alert = null)
    {
        // validation for constraint: string
        if (!is_null($alert) && !is_string($alert)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($alert, true), gettype($alert)), __LINE__);
        }
        $this->alert = $alert;
        return $this;
    }
    /**
     * Get reponse value
     * @return string|null
     */
    public function getReponse()
    {
        return $this->reponse;
    }
    /**
     * Set reponse value
     * @param string $reponse
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setReponse($reponse = null)
    {
        // validation for constraint: string
        if (!is_null($reponse) && !is_string($reponse)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($reponse, true), gettype($reponse)), __LINE__);
        }
        $this->reponse = $reponse;
        return $this;
    }
    /**
     * Get preDepot value
     * @return string|null
     */
    public function getPreDepot()
    {
        return $this->preDepot;
    }
    /**
     * Set preDepot value
     * @param string $preDepot
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setPreDepot($preDepot = null)
    {
        // validation for constraint: string
        if (!is_null($preDepot) && !is_string($preDepot)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($preDepot, true), gettype($preDepot)), __LINE__);
        }
        $this->preDepot = $preDepot;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_Initialisation_Deposer_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
