<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_Xremat_Param StructType
 * @subpackage Structs
 */
class XPRF_Xremat_Param extends AbstractStructBase
{
    /**
     * The key
     * @var string
     */
    public $key;
    /**
     * The paramXremat
     * @var string
     */
    public $paramXremat;
    /**
     * Constructor method for XPRF_Xremat_Param
     * @uses XPRF_Xremat_Param::setKey()
     * @uses XPRF_Xremat_Param::setParamXremat()
     * @param string $key
     * @param string $paramXremat
     */
    public function __construct($key = null, $paramXremat = null)
    {
        $this
            ->setKey($key)
            ->setParamXremat($paramXremat);
    }
    /**
     * Get key value
     * @return string|null
     */
    public function getKey()
    {
        return $this->key;
    }
    /**
     * Set key value
     * @param string $key
     * @return \StructType\XPRF_Xremat_Param
     */
    public function setKey($key = null)
    {
        // validation for constraint: string
        if (!is_null($key) && !is_string($key)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($key, true), gettype($key)), __LINE__);
        }
        $this->key = $key;
        return $this;
    }
    /**
     * Get paramXremat value
     * @return string|null
     */
    public function getParamXremat()
    {
        return $this->paramXremat;
    }
    /**
     * Set paramXremat value
     * @param string $paramXremat
     * @return \StructType\XPRF_Xremat_Param
     */
    public function setParamXremat($paramXremat = null)
    {
        // validation for constraint: string
        if (!is_null($paramXremat) && !is_string($paramXremat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($paramXremat, true), gettype($paramXremat)), __LINE__);
        }
        $this->paramXremat = $paramXremat;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_Xremat_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
