<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_getFiles_Param StructType
 * @subpackage Structs
 */
class XPRF_getFiles_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The logingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $logingen;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The depotid
     * @var string
     */
    public $depotid;
    /**
     * Constructor method for XPRF_getFiles_Param
     * @uses XPRF_getFiles_Param::setSiret()
     * @uses XPRF_getFiles_Param::setLogingen()
     * @uses XPRF_getFiles_Param::setLogin()
     * @uses XPRF_getFiles_Param::setPassword()
     * @uses XPRF_getFiles_Param::setDepotid()
     * @param string $siret
     * @param string $logingen
     * @param string $login
     * @param string $password
     * @param string $depotid
     */
    public function __construct($siret = null, $logingen = null, $login = null, $password = null, $depotid = null)
    {
        $this
            ->setSiret($siret)
            ->setLogingen($logingen)
            ->setLogin($login)
            ->setPassword($password)
            ->setDepotid($depotid);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_getFiles_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get logingen value
     * @return string|null
     */
    public function getLogingen()
    {
        return $this->logingen;
    }
    /**
     * Set logingen value
     * @param string $logingen
     * @return \StructType\XPRF_getFiles_Param
     */
    public function setLogingen($logingen = null)
    {
        // validation for constraint: string
        if (!is_null($logingen) && !is_string($logingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logingen, true), gettype($logingen)), __LINE__);
        }
        $this->logingen = $logingen;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_getFiles_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_getFiles_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get depotid value
     * @return string|null
     */
    public function getDepotid()
    {
        return $this->depotid;
    }
    /**
     * Set depotid value
     * @param string $depotid
     * @return \StructType\XPRF_getFiles_Param
     */
    public function setDepotid($depotid = null)
    {
        // validation for constraint: string
        if (!is_null($depotid) && !is_string($depotid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($depotid, true), gettype($depotid)), __LINE__);
        }
        $this->depotid = $depotid;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_getFiles_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
