<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_getInfosAgent_Param StructType
 * @subpackage Structs
 */
class XPRF_getInfosAgent_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The logingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $logingen;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The getCompteurs
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $getCompteurs;
    /**
     * Constructor method for XPRF_getInfosAgent_Param
     * @uses XPRF_getInfosAgent_Param::setSiret()
     * @uses XPRF_getInfosAgent_Param::setLogingen()
     * @uses XPRF_getInfosAgent_Param::setLogin()
     * @uses XPRF_getInfosAgent_Param::setPassword()
     * @uses XPRF_getInfosAgent_Param::setGetCompteurs()
     * @param string $siret
     * @param string $logingen
     * @param string $login
     * @param string $password
     * @param string $getCompteurs
     */
    public function __construct($siret = null, $logingen = null, $login = null, $password = null, $getCompteurs = null)
    {
        $this
            ->setSiret($siret)
            ->setLogingen($logingen)
            ->setLogin($login)
            ->setPassword($password)
            ->setGetCompteurs($getCompteurs);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_getInfosAgent_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get logingen value
     * @return string|null
     */
    public function getLogingen()
    {
        return $this->logingen;
    }
    /**
     * Set logingen value
     * @param string $logingen
     * @return \StructType\XPRF_getInfosAgent_Param
     */
    public function setLogingen($logingen = null)
    {
        // validation for constraint: string
        if (!is_null($logingen) && !is_string($logingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logingen, true), gettype($logingen)), __LINE__);
        }
        $this->logingen = $logingen;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_getInfosAgent_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_getInfosAgent_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get getCompteurs value
     * @return string|null
     */
    public function getGetCompteurs()
    {
        return $this->getCompteurs;
    }
    /**
     * Set getCompteurs value
     * @param string $getCompteurs
     * @return \StructType\XPRF_getInfosAgent_Param
     */
    public function setGetCompteurs($getCompteurs = null)
    {
        // validation for constraint: string
        if (!is_null($getCompteurs) && !is_string($getCompteurs)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($getCompteurs, true), gettype($getCompteurs)), __LINE__);
        }
        $this->getCompteurs = $getCompteurs;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_getInfosAgent_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
