<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_insertOrUpdateUser_Param StructType
 * @subpackage Structs
 */
class XPRF_insertOrUpdateUser_Param extends AbstractStructBase
{
    /**
     * The key
     * @var string
     */
    public $key;
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The adminServ
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $adminServ;
    /**
     * The adminDeleg
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $adminDeleg;
    /**
     * The adminZsc
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $adminZsc;
    /**
     * Constructor method for XPRF_insertOrUpdateUser_Param
     * @uses XPRF_insertOrUpdateUser_Param::setKey()
     * @uses XPRF_insertOrUpdateUser_Param::setSiret()
     * @uses XPRF_insertOrUpdateUser_Param::setLogin()
     * @uses XPRF_insertOrUpdateUser_Param::setAdminServ()
     * @uses XPRF_insertOrUpdateUser_Param::setAdminDeleg()
     * @uses XPRF_insertOrUpdateUser_Param::setAdminZsc()
     * @param string $key
     * @param string $siret
     * @param string $login
     * @param string $adminServ
     * @param string $adminDeleg
     * @param string $adminZsc
     */
    public function __construct($key = null, $siret = null, $login = null, $adminServ = null, $adminDeleg = null, $adminZsc = null)
    {
        $this
            ->setKey($key)
            ->setSiret($siret)
            ->setLogin($login)
            ->setAdminServ($adminServ)
            ->setAdminDeleg($adminDeleg)
            ->setAdminZsc($adminZsc);
    }
    /**
     * Get key value
     * @return string|null
     */
    public function getKey()
    {
        return $this->key;
    }
    /**
     * Set key value
     * @param string $key
     * @return \StructType\XPRF_insertOrUpdateUser_Param
     */
    public function setKey($key = null)
    {
        // validation for constraint: string
        if (!is_null($key) && !is_string($key)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($key, true), gettype($key)), __LINE__);
        }
        $this->key = $key;
        return $this;
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_insertOrUpdateUser_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_insertOrUpdateUser_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get adminServ value
     * @return string|null
     */
    public function getAdminServ()
    {
        return $this->adminServ;
    }
    /**
     * Set adminServ value
     * @param string $adminServ
     * @return \StructType\XPRF_insertOrUpdateUser_Param
     */
    public function setAdminServ($adminServ = null)
    {
        // validation for constraint: string
        if (!is_null($adminServ) && !is_string($adminServ)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($adminServ, true), gettype($adminServ)), __LINE__);
        }
        $this->adminServ = $adminServ;
        return $this;
    }
    /**
     * Get adminDeleg value
     * @return string|null
     */
    public function getAdminDeleg()
    {
        return $this->adminDeleg;
    }
    /**
     * Set adminDeleg value
     * @param string $adminDeleg
     * @return \StructType\XPRF_insertOrUpdateUser_Param
     */
    public function setAdminDeleg($adminDeleg = null)
    {
        // validation for constraint: string
        if (!is_null($adminDeleg) && !is_string($adminDeleg)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($adminDeleg, true), gettype($adminDeleg)), __LINE__);
        }
        $this->adminDeleg = $adminDeleg;
        return $this;
    }
    /**
     * Get adminZsc value
     * @return string|null
     */
    public function getAdminZsc()
    {
        return $this->adminZsc;
    }
    /**
     * Set adminZsc value
     * @param string $adminZsc
     * @return \StructType\XPRF_insertOrUpdateUser_Param
     */
    public function setAdminZsc($adminZsc = null)
    {
        // validation for constraint: string
        if (!is_null($adminZsc) && !is_string($adminZsc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($adminZsc, true), gettype($adminZsc)), __LINE__);
        }
        $this->adminZsc = $adminZsc;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_insertOrUpdateUser_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
