<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XPRF_preDepot_Param StructType
 * @subpackage Structs
 */
class XPRF_preDepot_Param extends AbstractStructBase
{
    /**
     * The siret
     * @var string
     */
    public $siret;
    /**
     * The login
     * @var string
     */
    public $login;
    /**
     * The password
     * @var string
     */
    public $password;
    /**
     * The infos
     * @var string
     */
    public $infos;
    /**
     * Constructor method for XPRF_preDepot_Param
     * @uses XPRF_preDepot_Param::setSiret()
     * @uses XPRF_preDepot_Param::setLogin()
     * @uses XPRF_preDepot_Param::setPassword()
     * @uses XPRF_preDepot_Param::setInfos()
     * @param string $siret
     * @param string $login
     * @param string $password
     * @param string $infos
     */
    public function __construct($siret = null, $login = null, $password = null, $infos = null)
    {
        $this
            ->setSiret($siret)
            ->setLogin($login)
            ->setPassword($password)
            ->setInfos($infos);
    }
    /**
     * Get siret value
     * @return string|null
     */
    public function getSiret()
    {
        return $this->siret;
    }
    /**
     * Set siret value
     * @param string $siret
     * @return \StructType\XPRF_preDepot_Param
     */
    public function setSiret($siret = null)
    {
        // validation for constraint: string
        if (!is_null($siret) && !is_string($siret)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siret, true), gettype($siret)), __LINE__);
        }
        $this->siret = $siret;
        return $this;
    }
    /**
     * Get login value
     * @return string|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param string $login
     * @return \StructType\XPRF_preDepot_Param
     */
    public function setLogin($login = null)
    {
        // validation for constraint: string
        if (!is_null($login) && !is_string($login)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\XPRF_preDepot_Param
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get infos value
     * @return string|null
     */
    public function getInfos()
    {
        return $this->infos;
    }
    /**
     * Set infos value
     * @param string $infos
     * @return \StructType\XPRF_preDepot_Param
     */
    public function setInfos($infos = null)
    {
        // validation for constraint: string
        if (!is_null($infos) && !is_string($infos)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($infos, true), gettype($infos)), __LINE__);
        }
        $this->infos = $infos;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XPRF_preDepot_Param
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
