<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the fist needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientbase class each generated ServiceType class extends this class
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://ssl.spl-xdemat.fr/Xparaph/wsdl/wsdl.php?wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc....
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://ssl.spl-xdemat.fr/Xparaph/wsdl/wsdl.php?wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for XPRFI ServiceType
 */
$xPRFI = new \ServiceType\XPRFI($options);
/**
 * Sample call for XPRF_Initialisation_Deposer operation/method
 */
if ($xPRFI->XPRF_Initialisation_Deposer(new \StructType\XPRF_Initialisation_Deposer_Param()) !== false) {
    print_r($xPRFI->getResult());
} else {
    print_r($xPRFI->getLastError());
}
/**
 * Samples for XPRFD ServiceType
 */
$xPRFD = new \ServiceType\XPRFD($options);
/**
 * Sample call for XPRF_Deposer operation/method
 */
if ($xPRFD->XPRF_Deposer(new \StructType\XPRF_Deposer_Param()) !== false) {
    print_r($xPRFD->getResult());
} else {
    print_r($xPRFD->getLastError());
}
/**
 * Sample call for XPRF_Detail_Depot operation/method
 */
if ($xPRFD->XPRF_Detail_Depot(new \StructType\XPRF_Detail_Depot_Param()) !== false) {
    print_r($xPRFD->getResult());
} else {
    print_r($xPRFD->getLastError());
}
/**
 * Sample call for XPRF_Droits_Scenario operation/method
 */
if ($xPRFD->XPRF_Droits_Scenario(new \StructType\XPRF_Droits_Scenario_Param()) !== false) {
    print_r($xPRFD->getResult());
} else {
    print_r($xPRFD->getLastError());
}
/**
 * Samples for XPRFS ServiceType
 */
$xPRFS = new \ServiceType\XPRFS($options);
/**
 * Sample call for XPRF_Supprimer operation/method
 */
if ($xPRFS->XPRF_Supprimer(new \StructType\XPRF_Supprimer_Param()) !== false) {
    print_r($xPRFS->getResult());
} else {
    print_r($xPRFS->getLastError());
}
/**
 * Samples for XPRFX ServiceType
 */
$xPRFX = new \ServiceType\XPRFX($options);
/**
 * Sample call for XPRF_Xremat operation/method
 */
if ($xPRFX->XPRF_Xremat(new \StructType\XPRF_Xremat_Param()) !== false) {
    print_r($xPRFX->getResult());
} else {
    print_r($xPRFX->getLastError());
}
/**
 * Samples for XPRFH ServiceType
 */
$xPRFH = new \ServiceType\XPRFH($options);
/**
 * Sample call for XPRF_Hierarchie operation/method
 */
if ($xPRFH->XPRF_Hierarchie(new \StructType\XPRF_Hierarchie_Param()) !== false) {
    print_r($xPRFH->getResult());
} else {
    print_r($xPRFH->getLastError());
}
/**
 * Samples for XPRFP ServiceType
 */
$xPRFP = new \ServiceType\XPRFP($options);
/**
 * Sample call for XPRF_ParamColl operation/method
 */
if ($xPRFP->XPRF_ParamColl(new \StructType\XPRF_ParamColl_Param()) !== false) {
    print_r($xPRFP->getResult());
} else {
    print_r($xPRFP->getLastError());
}
/**
 * Samples for XPRFE ServiceType
 */
$xPRFE = new \ServiceType\XPRFE($options);
/**
 * Sample call for XPRF_EnvoiConf operation/method
 */
if ($xPRFE->XPRF_EnvoiConf(new \StructType\XPRF_EnvoiConf_Param()) !== false) {
    print_r($xPRFE->getResult());
} else {
    print_r($xPRFE->getLastError());
}
/**
 * Samples for XPRFC ServiceType
 */
$xPRFC = new \ServiceType\XPRFC($options);
/**
 * Sample call for XPRF_CompleteEtapes operation/method
 */
if ($xPRFC->XPRF_CompleteEtapes(new \StructType\XPRF_CompleteEtapes_Param()) !== false) {
    print_r($xPRFC->getResult());
} else {
    print_r($xPRFC->getLastError());
}
/**
 * Samples for XPRFA ServiceType
 */
$xPRFA = new \ServiceType\XPRFA($options);
/**
 * Sample call for XPRF_AvancementDepot operation/method
 */
if ($xPRFA->XPRF_AvancementDepot(new \StructType\XPRF_AvancementDepot_Param()) !== false) {
    print_r($xPRFA->getResult());
} else {
    print_r($xPRFA->getLastError());
}
/**
 * Samples for XPRF ServiceType
 */
$xPRF = new \ServiceType\XPRF($options);
/**
 * Sample call for XPRF_getVip operation/method
 */
if ($xPRF->XPRF_getVip(new \StructType\XPRF_getVip_Param()) !== false) {
    print_r($xPRF->getResult());
} else {
    print_r($xPRF->getLastError());
}
/**
 * Sample call for XPRF_preDepot operation/method
 */
if ($xPRF->XPRF_preDepot(new \StructType\XPRF_preDepot_Param()) !== false) {
    print_r($xPRF->getResult());
} else {
    print_r($xPRF->getLastError());
}
/**
 * Sample call for XPRF_getInfosAgent operation/method
 */
if ($xPRF->XPRF_getInfosAgent(new \StructType\XPRF_getInfosAgent_Param()) !== false) {
    print_r($xPRF->getResult());
} else {
    print_r($xPRF->getLastError());
}
/**
 * Sample call for XPRF_insertOrUpdateUser operation/method
 */
if ($xPRF->XPRF_insertOrUpdateUser(new \StructType\XPRF_insertOrUpdateUser_Param()) !== false) {
    print_r($xPRF->getResult());
} else {
    print_r($xPRF->getLastError());
}
/**
 * Sample call for XPRF_getFiles operation/method
 */
if ($xPRF->XPRF_getFiles(new \StructType\XPRF_getFiles_Param()) !== false) {
    print_r($xPRF->getResult());
} else {
    print_r($xPRF->getLastError());
}
/**
 * Samples for XPRFG ServiceType
 */
$xPRFG = new \ServiceType\XPRFG($options);
/**
 * Sample call for XPRF_GetListFavoris operation/method
 */
if ($xPRFG->XPRF_GetListFavoris(new \StructType\XPRF_GetListFavoris_Param()) !== false) {
    print_r($xPRFG->getResult());
} else {
    print_r($xPRFG->getLastError());
}
/**
 * Sample call for XPRF_GetInfosFavori operation/method
 */
if ($xPRFG->XPRF_GetInfosFavori(new \StructType\XPRF_GetInfosFavori_Param()) !== false) {
    print_r($xPRFG->getResult());
} else {
    print_r($xPRFG->getLastError());
}
